Rodrigo Lorenz escreveu:
> Saudações galera,
> 
> Eu estou querendo atualizar um 5.4 para 6.1. Vocês acham que corro
> algum risco? Já atualizei várias vezes, mas nunca de uma série para
> outra.

Se você fizer todos os procedimentos, nao há riscos.

* Atualize o src para o RELENG_6 ou RELENG_6_1, de acordo com o seu costume.
* De uma lida no /usr/src/UPDATING
* Compare seu kernel com o novo GENERIC e adicione o que for necessario, 
como o COMPAT_FREEBSD5 e o kbdmux por exemplo
* Não esqueça do `mergemaster -p` antes do `make installworld` pois 
foram adicionados usuários/grupos
* Depois de atualizado, como foi feito um bump nas versões das libs, por 
causa de uma mudança no locale, você terá que atualizar *todos* os seus 
ports (portupgrade -fa)
* Se você tem programas compilados por fora do ports, recompile-os também.
* Depois de tudo feito, rode um `make check-old` no /usr/srcuma backup 
das libs antigas, depois pode rodar o `make delete-old` e o `make 
delete-old-libs` no /usr/src para limpar o sistema.

[]s
-------------------------
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

Responder a